/*
 Theme Name:   palm-beach Child
 Description:  palm-beach Child Theme
 Author:       ;-)
 Author URI:   httpw://www.;-).de
 Template:     palm-beach
 Version:      1.0
 Text Domain:  palm-beach-child
*/

@import url("fonts.css") screen;  



/* FARBEN   */
:root {
	--grau: #666666;
	--hellgrau: #efefef;
	--braun: #333333; 
	--dunkelbraun: #242424;
	--rot: darkred; /* #8B0000*/
	--site-title-color: #ffffff;
	--link-color: #666666; 
	--link-hover-color: darkred; 
	--navi-color: #cac5bb;
	--navi-hover-color: darkred;
	--navi-border-color: #e4e4e4;
	--navi-submenu-color: #333333;
	--navi-font: 'Urbanist', sans-serife;
	--navi-font-weight: 700;
	--text-font:  'Urbanist', sans-serife;
	--button-text-font:  'Urbanist', sans-serife;
	--text-line-height: 1.4rem;
	}



/*-- Typography --*/

/* TITEL: 'Acme', 'Fugaz One', 'Racing Sans One', 'Urbanist,
# TEXT: 'Comfortaa', 'Mulish', 'Nunito Sans', 'Raleway', 'Roboto', 'Roboto Slab', 'Roboto Serif', 'Tenor Sans', 'Red Hat Display', 'Noto Sans', 'Istok Web',  'Gabarito', 'Dosis', 'Gudea', 'Poppins', 'Montserrat', 'Libre Franklin', 'Caveat' (!Handschrift)  */


.site-title {font-weight: 900; font-family: 'Urbanist', sans-serif!important;}

/* head */
div.header-main {min-width: 320px; max-width: 100%; padding: 1rem 1.5rem;background-color: var(--braun)!important;}
.site-branding {padding-right: 5rem; } /* Logo DIV */
p.site-title-de, p.site-title-pl, p.site-title-en {color: var(--navi-color)!important; font-size: 110%;margin-top: 2rem;}
p.site-title-de::after {content: "Jagdreisen \AOrganisation & Service";white-space: pre;} /* DE Site-title Text hier */
p.site-title-pl::after {content: "Wyprawy myśliwskie \Aorganizacja  & obsługa";white-space: pre;} /* PL Site-title Text hier */
p.site-title-en::after {content: "Hunting trips \Aorganisation & service";white-space: pre;} /* EN Site-title Text hier */
/* .site-description {font-style: italic; margin-left: 215px; padding-top: 0.15rem;} */
header.site-header { border-bottom: 2px solid var(--navi-color); }

/* Navi ENG Button */
li.menu-item-261-en,li.menu-item-684-en {display:none;}

div.header-title-image,div.header-title-image-container {height: 30vw; }
h1.header-title {display: none;} /* Seitentitel über head-foto nicht anzeigen */


/* ** Navigation ** */
.main-navigation ul, .main-navigation ul ul li a {font-size: 1.4rem; }
.main-navigation ul ul li a, .main-navigation ul ul ul li a, .main-navigation ul ul ul ul li a {padding: 0.25rem 1rem;}
.main-navigation ul ul li.menu-item-has-children > a:nth-child(1) {text-transform: uppercase;pointer-events: none; margin-top: 1.5rem;}
li.nav-highlite {padding: 0!important;} /** ???????????????????????????????????????????? /
li.nav-highlite a {border: 1px solid var(--navi-border-color);border-radius: 5px;} /* Navi Hauptpunkt z. B. Aktuelles */

/* Subnavi Kontinente Länder */
li.menu-item-has-children ul.sub-menu:first-of-type {
	white-space: nowrap;border-radius: 5px; padding: 0.5rem 3rem 2rem 1rem;} /* Submenu Kontinente */
li.menu-item-has-children ul.sub-menu ul.sub-menu {padding: 0.7rem 0.3rem;} /* Submenu Länder */
li.menu-item-has-children ul.sub-menu ul.sub-menu li.menu-item { padding: 0.5rem 0.1rem;} /* Länder-Links einzeln */
.main-navigation .dropdown-toggle {right: 55%; }
.main-navigation ul ul .dropdown-toggle {right: 55%; }

li.reise2 > a:nth-child(1) { text-transform:  capitalize!important;} /* 2. Ebene kein uppercase */


/* Dropdown Menus */
	.main-navigation ul ul li:hover > ul,
	.main-navigation ul ul li.focus > ul {
		left: 100%; /* left/right getauscht - Drop3 nach rechts, ! MediaQ 960px nach links */
		right: auto;
	}

/* Breadcrumb */
.breadcrumb-container,.breadcrumb-container ol,.breadcrumb-container li,.breadcrumb-container a 
{ margin: 0 !important; padding: 0 0.25rem 0 0.15rem !important; font-size: 1rem; font-style: italic;}
.breadcrumb-container  ol li span.separator {color: white; font-size: 0.1rem; }
.breadcrumb-container  ol li span.separator::after {content: "⬤";font-size: 0.5rem;color: var(--grau);}
div.breadcrumb-container ol li:first-of-type a { pointer-events: none; cursor: default;}
div.breadcrumb-container ol li:last-of-type a span {font-weight: bold;}
div.breadcrumb-container ol li:only-of-type {display: none; } /* Nav-Hauptpunkt nicht angzeigen */

/* Galerielink oben */
.galerie-link { float: right; width: 190px; text-align: center; font-family: var(--button-text-font); font-style: italic;text-transform: capitalize; font-size: .8rem; font-weight: normal; background: var(--hellgrau); color: var(--grau);padding: 0.05em 0.2em; border: 0px solid rgba(0,0,0,0);
  border-radius: 3px;}
.galerie-link a {  text-decoration: none;}
.galerie-link::before { content:"️📷 "; font-style: normal; font-size: 0.9rem;}





/* **  Seiteninhalt ** */
.verstecken { display: none;}
p.handschrift {font-size: 1.5rem; color: darkred; font-family: 'Caveat',sans-serif!important;}
div.entry-content h2.wp-block-heading {font-size: 2.5rem;}
div.entry-content h3.wp-block-heading {margin-top: 2rem; }
div.entry-content h4.wp-block-heading { margin-top: 1.5rem;margin-bottom: 0; font-size: 100%;}
p, ul {margin-top: 0.5rem; margin-bottom: 1rem; }
.vorliste {margin-bottom: 0.25rem;}
ul.wp-block-list {margin-top: 0.5rem;}

/* Button Mehr anzeigen / Weniger anzeigen */
button.kb-button.kt-button.button { font-family: var(--button-text-font); font-style: italic;text-transform: capitalize; font-size: .8rem; font-weight: normal; background: var(--hellgrau); color: var(--grau);padding: 0.05em 0.5em; }
div.wp-block-kadence-advancedbtn.kb-buttons-wrap  { margin-top: 0.25em;  }


/* Beiträge - Aktuelles */
section#primary.content-single.content-area {max-width: 100%;}
.wp-block-latest-posts.is-grid li {width: 330px; }

.wp-block-latest-posts.wp-block-latest-posts__list li {
	margin-top: 0.5rem;
	padding: 0.8rem;
	border: 2px solid var(--navi-color)!important;
	border-radius: 5px; 
}

a.wp-block-latest-posts__post-title { 
	pointer-events: none; /* Textlink auf Beitrag deaktiviert */
     cursor: default; 
	}

/* Fußzeile */
.credit-link,#footer-text {display: none;}
div.footer-wrap {margin: 0; padding: 1rem 1rem 2rem; background-color: var(--grau)!important;}
footer#colophon {max-width: 100%;}
ul#menu-footermenu {margin-top: 0; margin-bottom: 0;}
ul#menu-footermenu li {color: var(--navi-color)!important; margin-right: 2rem; float: left;list-style: none;}
ul#menu-footermenu-right li  {margin-right: 2rem; float: right;list-style: none;}
ul#menu-footermenu > li a,ul#menu-footermenu-right > li a {font-size: 1.2rem; color: var(--navi-color)!important;}

/* Cookie Notice Banner */
div#cookie-notice {line-height: 15px; !important; background: #999999 !important; opacity: 0.9;}
div.cookie-notice-container { max-height: 35px; padding: 5px 30px; }
span#cn-notice-buttons a.cn-button { padding: 4px 4px; background: #777777 !important; }


/* *** ---- Media Queries ---- *** */

@media (max-width: 1430px) {
.site-branding { float: left; max-width: 260px; }	
	p.site-title-de, p.site-title-en { text-align: center;float: left;font-size: 100%;margin-top: 1rem;}
		.main-navigation ul li a {padding: 0.75rem 0.85rem;}

}

@media (max-width: 1300px) {
	.site-branding { float: none; max-width: 550px; padding-right: 1rem;}	
	p.site-title-de, p.site-title-en { text-align: left ;float: none;margin-top: 1rem;}
	ul#menu-footermenu > li a,ul#menu-footermenu-right > li a {font-size: 0.9rem;}
}

	
@media (max-width: 1100px) { 
	.main-navigation ul, .main-navigation ul ul li a {font-size: 1.1rem; }
}


@media (max-width: 960px) {
	.site-branding { max-width: 100%;}
	p.site-title-de, p.site-title-en { text-align: left; float: right; font-size: 100%;}
	.main-navigation ul ul li:hover > ul,
	.main-navigation ul ul li.focus > ul {right: 100%; left: auto;} /* left/right wieder normal - Drop3 nach links */ 
	div.entry-content h2.wp-block-heading {font-size: 1.8rem;}
	div.entry-content h3.wp-block-heading {margin-top: 2rem; margin-bottom: 0.25rem;}
	p, ul {font-size: 1rem; line-height: 1.2rem;}

}


@media (max-width: 840px) {
	.wp-block-latest-posts.is-grid li {width: 70%; min-width: 330px;}
	img.wp-post-image {margin: 0.15em auto 1em auto; display: block; }
	ul#menu-footermenu > li a,ul#menu-footermenu-right > li a {font-size: 0.8rem; }
	p, ul {margin-top: 0.5rem; margin-bottom: 1rem; }
	ul#menu-footermenu li,ul#menu-footermenu-right li {margin-right: 1rem; }
	
}

@media (max-width: 690px) {
	.main-navigation .dropdown-toggle {right: 45%; }
	.main-navigation ul ul .dropdown-toggle {right: 45%; }
	ul#menu-footermenu-right li {float: left; }

}


@media (max-width: 570px) {
	.site-branding { max-width: 170px;}
	.site-branding .custom-logo {max-width: 165px;}
	p.site-title-de, p.site-title-en { text-align: center; float: left; font-size: 80%;margin-top: 0.5rem;}
	.main-navigation .dropdown-toggle {right: 20%; }
	.main-navigation ul ul .dropdown-toggle {right: 12%; }
	div.entry-content h2.wp-block-heading {font-size: 1rem; margin-top: 0.3em; }
	div.entry-content h3.wp-block-heading {font-size: 0.9rem;}
	div.entry-content h4.wp-block-heading { font-size: 80%;margin-top: 1rem;}
	p, ul {font-size: 0.9rem;line-height: 1.1rem; }
	.vorliste {margin-bottom: .05rem;}
	button.kb-button.kt-button.button { font-size: .7rem; }
		
}


@media (max-width: 440px) {

}

@media only screen and (max-width: 20em) {
  .site-branding .site-title { font-size: 80%;  }
}